%define name ku
%define version 1.1p2_4
%define release 3

Summary: A UTMP based utility for maintaining shell logins.
Name: %{name}
Version: 1.1p2_4
Release: %{release}
Group: Applications/System
Copyright: GPL
Url: http://shell.tfz.net/~issue/ku/
Source: %{name}-1.1p2-4.tar.gz
Patch0: ku-redhat.patch
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
KU (KillUser) is a UTMP based shell administration utility for maintaining
or ending shell logins based on idle time, tty, user name, user group, user
GID, whether they're telnetted in, etc.

%prep
%setup -q -n ku-1.1p2-4
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure 
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
cd bin
install -o root -g root -s -m 755 ku $RPM_BUILD_ROOT/usr/bin
cd ../docs
install -o root -g root -m 644 ku.1.gz $RPM_BUILD_ROOT/usr/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING INSTALL NEEDED NEWS README TODO VERSION docs/ku.1 docs/ku.1.gz docs/ku.html docs/ku.lsm docs/ku.txt
%attr(4755,root,root) /usr/bin/ku
%attr(0644,root,root) /usr/man/man1/ku.1.gz

%changelog
* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Feb 11 1999 Pat Hennessy <path@magpage.com>
  [ku-1.1p2-4-1]
  - Started maintaining package.
